aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-firmware/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-26 18:05:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-26 18:06:36 +0000
commit9e9307da3c2d4361488bdf10602dd190bc855119 (patch)
tree8be9805b32c98f91ed003d64b3a1dfa4fa39e755 /main/linux-firmware/APKBUILD
parent320c9a918a33c506872a1f80105c8aa1586fefdf (diff)
downloadaports-9e9307da3c2d4361488bdf10602dd190bc855119.tar.gz
aports-9e9307da3c2d4361488bdf10602dd190bc855119.tar.bz2
aports-9e9307da3c2d4361488bdf10602dd190bc855119.tar.xz
main/linux-firmware: upgrade to 20110826
Diffstat (limited to 'main/linux-firmware/APKBUILD')
-rw-r--r--main/linux-firmware/APKBUILD25
1 files changed, 21 insertions, 4 deletions
diff --git a/main/linux-firmware/APKBUILD b/main/linux-firmware/APKBUILD
index 46cf9c2022..c4b4d5a23a 100644
--- a/main/linux-firmware/APKBUILD
+++ b/main/linux-firmware/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=linux-firmware
-pkgver=20110311
+pkgver=20110826
pkgrel=0
pkgdesc="firmware files for linux"
url="http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=summary"
@@ -11,10 +11,27 @@ depends=
makedepends=
install=""
subpackages=
-source="http://nenolod.net/~nenolod/linux-firmware-${pkgver}.tar.bz2"
+source="http://dev.alpinelinux.org/~ncopa/linux-firmware/linux-firmware-${pkgver}.tar.bz2"
+_giturl="git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git"
+_upload=dev.alpinelinux.org:public_html/linux-firmware/
replaces="linux-grsec linux-vserver"
_builddir="${srcdir}/${pkgname}"
+snapshot() {
+ local _date=$(date +%Y%m%d)
+ local _pkg=$pkgname-$_date.tar.bz2
+ cd "$srcdir"
+ rm -rf "$pkgname"
+ git clone --depth=1 $_giturl
+ tar --exclude .git -cjf $_pkg $pkgname
+ msg "New snapshot: $_pkg"
+ if [ -n "$_upload" ]; then
+ msg "Uploading to $_upload"
+ scp $_pkg $_upload || return 1
+ abump $pkgname-$_date
+ fi
+}
+
prepare() {
return 0
}
@@ -28,4 +45,4 @@ package() {
mv "${_builddir}" ${pkgdir}/lib/firmware
}
-md5sums="1af2f89b00cc24b567551fcd8f4a327d linux-firmware-20110311.tar.bz2"
+md5sums="3d881871622eb8c957d244060cd7f4a2 linux-firmware-20110826.tar.bz2"